%define ptlib_version 2.10.2
%define opal_version 3.10.2

%define kde_support 0
%{?_kde_support: %{expand: %%global kde_support 1}}

Summary:	Voice and Video over IP software (H323 / SIP)
Name:		ekiga
Version:	3.3.2
Release:	%mkrel 4
License:	GPLv2+
Group:		Video
Source0:	http://ftp.gnome.org/pub/GNOME/sources/ekiga/3.3/%{name}-%{version}.tar.xz
Patch0:		ekiga-3.3.1-format-string.patch
URL:		http://www.ekiga.org
BuildRequires:	pkgconfig(gtk+-2.0) >= 2.20.0
BuildRequires:	pkgconfig(glib-2.0) >= 2.24.0
BuildRequires:	pkgconfig(gmodule-2.0)
BuildRequires:	pkgconfig(gobject-2.0)
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(gconf-2.0) >= 2.6.0
BuildRequires:	pkgconfig(libebook-1.2)
BuildRequires:	pkgconfig(libnotify)
BuildRequires:	pkgconfig(xv)
BuildRequires:	pkgconfig(dbus-1) >= 0.36
BuildRequires:	pkgconfig(dbus-glib-1) >= 0.36
BuildRequires:	pkgconfig(avahi-client) >= 0.6
BuildRequires:	pkgconfig(avahi-glib) >= 0.6
BuildRequires:	pkgconfig(ptlib) >= %{ptlib_version}
BuildRequires:	pkgconfig(opal) >= %{opal_version}
BuildRequires:	openldap-devel
BuildRequires:	boost-devel
BuildRequires:	scrollkeeper
BuildRequires:	intltool
BuildRequires:	automake
BuildRequires:	gnome-common
BuildRequires:	gnome-doc-utils >= 0.3.2
BuildRequires:	libxslt-proc
BuildRequires:	desktop-file-utils
%if %kde_support
BuildRequires:	kdelibs4-devel
%endif
Obsoletes:	gnomemeeting
Provides:	gnomemeeting
Requires(post)  : scrollkeeper >= 0.3
Requires(postun): scrollkeeper >= 0.3
Requires:	opal3 >= %{opal_version}
Suggests:	yelp

%description
Ekiga is a tool to communicate with video and audio over the internet.
It uses both SIP and H323 protocol and is compatible with Microsoft Netmeeting.
It used to be called GnomeMeeting

%prep
%setup -q
%patch0 -p1

%build
%if %kde_support
  QTDIR="/usr/lib/qt4" ; export QTDIR ; 
  PATH="/usr/lib/qt4/bin:$PATH" ; export PATH ; 
%endif
NOCONFIGURE=yes gnome-autogen.sh
%configure2_5x	\
%if %kde_support
	--enable-kde \
%endif
		--disable-schemas-install --enable-dbus
%make 

%install
rm -rf %{buildroot}

%makeinstall_std


%find_lang %{name} --with-gnome
for omf in %{buildroot}%{_datadir}/omf/*/{*-??,*-??_??}.omf;do
echo "%lang($(basename $omf|sed -e s/.*-// -e s/.omf//)) $(echo $omf|sed s!%{buildroot}!!)" >> %name.lang
done

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Internet-VideoConference" \
  --add-category="X-MandrivaLinux-CrossDesktop" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*


%define launchers %{_sysconfdir}/dynamic/launchers/webcam
# dynamic support
mkdir -p %{buildroot}%launchers
cat > %{buildroot}%launchers/%name.desktop << EOF
[Desktop Entry]
Name=Ekiga \$devicename
Comment=Ekiga
TryExec=%{_bindir}/ekiga
Exec=%{_bindir}/ekiga
Terminal=false
Icon=ekiga
Type=Application
StartupNotify=true
EOF

rm -rf %{buildroot}/var/lib/scrollkeeper

%define schemas ekiga

# don't ship .la
find %{buildroot} -name '*.la' | xargs rm -f

%preun
if [ -r %{_sysconfdir}/gconf/schemas/gnomemeeting.schemas -a -x %{_bindir}/gconftool-2 ]; then
GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/gnomemeeting.schemas > /dev/null
  update-alternatives --remove webcam.kde.dynamic %launchers/gnomemeeting.desktop
  update-alternatives --remove webcam.gnome.dynamic %launchers/gnomemeeting.desktop
fi
%preun_uninstall_gconf_schemas %{schemas}

%postun

if [ "$1" = "0" ]; then
  update-alternatives --remove webcam.kde.dynamic %launchers/%name.desktop
  update-alternatives --remove webcam.gnome.dynamic %launchers/%name.desktop
fi

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc README NEWS FAQ AUTHORS TODO
%{_bindir}/*
%{_libdir}/%{name}
%dir %{_datadir}/omf/*
%{_datadir}/dbus-1/services/org.ekiga*
%{_datadir}/omf/*/*-C.omf
%{_datadir}/applications/*
%{_datadir}/pixmaps/*
%{_datadir}/sounds/*
%{_datadir}/icons/hicolor/*/apps/*
%{_mandir}/*/*
%{_sysconfdir}/gconf/schemas/*
%config(noreplace) %launchers/*.desktop


%changelog

* Mon Nov 28 2011 fwang <fwang> 3.3.2-4.mga2
+ Revision: 173559
- rebuild for new boost

* Mon Nov 21 2011 fwang <fwang> 3.3.2-3.mga2
+ Revision: 170390
- rebuild for new evo

* Sat Oct 29 2011 fwang <fwang> 3.3.2-2.mga2
+ Revision: 159481
- rebuild for new evo
- new version 3.3.2
- rebuild for new eds
- rebuild for new boost

* Wed Jul 20 2011 fwang <fwang> 3.3.1-1.mga2
+ Revision: 127524
- fix tranlsation catalog name
- fix more str fmt
- turn to pkgconfig style br
- new version 3.3.1
 (no soundwrapper needed now)

* Sat Jun 25 2011 ahmad <ahmad> 3.3.0-1.mga2
+ Revision: 113377
- Update to 3.3.0
- Bump BR ptlib and opal3 versions
- Add BR boost-devel
- Don't ship .la
- Update the file list

  + dmorgan <dmorgan>
    - Rebuild against new libnotify

* Fri Feb 25 2011 ennael <ennael> 3.2.7-2.mga1
+ Revision: 59436
- clean spec file
- imported package ekiga

